Subject: 23.0.60; env var completion in shell mode - case sensitivity

From: "Drew Adams" <[email-masked]>
Date: Sun, 21 Dec 2008 16:11:12 -0800

emacs -Q
 
I'm on MS Windows. I load these two files, in order:
http://www.emacswiki.org/emacs/cygwin-mount.el
http://www.emacswiki.org/emacs/setup-cygwin.el
 
M-x shell
 
In buffer *shell*, I type lowercase "$hom", then hit TAB. It completes
to "$homE".
 
Dunno whether that is TRT (probably not), but when I hit TAB a second
time, it shows no possible completions. Whereas, there are these
completions for "$HOME": "HOME", "HOMEDRIVE", "HOMEPATH".

The same bug appears in Emacs 22.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-12-19 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'
 
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t
 
Major mode: Shell
 
Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t